summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2022-10-11 21:39:58 -0400
committerDave Wallace <dwallacelf@gmail.com>2022-10-11 21:48:12 -0400
commitd5fc6bd0e4e5081f87fb405bc0963e50c6ae3a32 (patch)
tree29d34602e38c86761269a0240c327f94f44386bf /jjb/scripts/vpp
parent27a3d400f936dff256ed7e87fc17238ad2880fa8 (diff)
Add vpp-dpdk-rdma-version-mismatch periodic job.
Change-Id: Idc9df053430fc793737441590e7609d5f3c9fe68 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'jjb/scripts/vpp')
-rw-r--r--jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh b/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
new file mode 100644
index 000000000..b855e560d
--- /dev/null
+++ b/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Copyright (c) 2022 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh"
+
+set -euxo pipefail
+
+line="*************************************************************************"
+EXTERNAL_BUILD_DIR="$WORKSPACE/build/external"
+RETVAL="0"
+MISMATCH_RESULT="INCLUDED IN"
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+make -C "$EXTERNAL_BUILD_DIR" build-deb
+source "$EXTERNAL_BUILD_DIR/dpdk_mlx_default.sh" || true
+
+if [ "${DPDK_MLX_DEFAULT-}" = "n" ] ; then
+ MISMATCH_RESULT="MISSING FROM"
+ RETVAL="1"
+fi
+echo -e "\n$line\n* MLX DPDK DRIVER $MISMATCH_RESULT VPP-EXT-DEPS PACKAGE\n$line\n"
+exit $RETVAL